Package com.enonic.xp.content

## Class ContentQuery

- java.lang.Object
- - com.enonic.xp.content.ContentQuery

-     @PublicApi
      public class ContentQuery
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ContentQuery.Builder` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `DEFAULT_FETCH_SIZE` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContentQuery​(ContentQuery.Builder builder)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ContentQuery.Builder` | `create()` |
    `AggregationQueries` | `getAggregationQueries()` |
    `ContentTypeNames` | `getContentTypes()` |
    `ContentIds` | `getFilterContentIds()` |
    `int` | `getFrom()` |
    `HighlightQuery` | `getHighlight()` |
    `QueryExpr` | `getQueryExpr()` |
    `Filters` | `getQueryFilters()` |
    `int` | `getSize()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_FETCH_SIZE

          public static final int DEFAULT_FETCH_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ContentQuery

          public ContentQuery​(ContentQuery.Builder builder)

  - ### Method Detail

    - #### create

          public static ContentQuery.Builder create()

    - #### getQueryExpr

          public QueryExpr getQueryExpr()

    - #### getContentTypes

          public ContentTypeNames getContentTypes()

    - #### getFilterContentIds

          public ContentIds getFilterContentIds()

    - #### getFrom

          public int getFrom()

    - #### getSize

          public int getSize()

    - #### getAggregationQueries

          public AggregationQueries getAggregationQueries()

    - #### getQueryFilters

          public Filters getQueryFilters()

    - #### getHighlight

          public HighlightQuery getHighlight()